/* Program pro ovladani slunecniho robota */
/* (chodi se zapojenim Dark Walker rev.3  */
/* $Header: /programy/PIC_C/roboti/solarni/2004/main.c 1     19.09.05 20:39 Jakub $ */

#include "D:\@Kaklik\programy\PIC_C\robot\solarni_robot\dalsi_verze\main.h"

#define LED       PIN_B3   // LED
#define ON_TIME   75       // Cas sepnuti rele
#define meridlo   PIN_B2   // Napetovy supervisor
#define RESET     PIN_B0   // Pridrzeni RESETu

void rele1()   // Sepnuti prvniho rele
{
   output_low(PIN_A1);
   output_low(PIN_B4);
   delay_ms(ON_TIME);
   output_high(PIN_A1);
   output_high(PIN_B4);
}

void motor()   // Sepnuti motoru
{
   output_low(pin_A2);
   output_low(pin_B1);
   output_low(PIN_A4);
   delay_ms(ON_TIME);
   output_high(pin_A2);
   output_high(pin_B1);
   output_high(PIN_A4);
}


void main()
{

   setup_counters(RTCC_INTERNAL,WDT_18MS);

   output_high(RESET);                       // vypnuti resetu od supervizoru

   output_low(PIN_A2);        // vypni vsechno
   output_low(PIN_A3);
   output_low(PIN_B5);

   output_high(LED);                         //
   delay_ms(ON_TIME);                        // bliknuti LED
   output_low(LED);                          //

   output_high(PIN_A3);
   delay_ms(3000);
   output_high(PIN_B5);
   delay_ms(10000);
   output_low(PIN_B5);

   output_high(PIN_A2);    // rozjezd
   delay_ms(200);
   output_low(PIN_A3);
   delay_ms(1000);
   output_high(PIN_A3);
   delay_ms(200);
   output_low(PIN_A3);
   delay_ms(1000);
   output_high(PIN_B5);
   delay_ms(200);
   output_low(PIN_B5);
   delay_ms(1000);
   output_high(PIN_B5);
   delay_ms(200);
   output_low(PIN_B5);

   output_low(PIN_A2);        // vypni vsechno
   output_low(PIN_A3);
   output_low(PIN_B5);

   output_low(RESET);                        // zapnuti resetu od supervisoru
}
